{badgeContent}.json: Generate a static badge (JSON format)

API: shields.io:shields
Endpoint: /badge/{badgeContent}.json
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 146ms

Description

Get badge metadata in JSON format instead of SVG image.

Parameters (5)

badgeContent (string, path, required)

Badge content in format 'label-message-color'

labelColor (string, query, optional)

Background color for the label side

logo (string, query, optional)

Logo to display on the badge

logoColor (string, query, optional)

Logo color

style (string, query, optional)

Badge visual style

Constraints: {'enum': ['flat', 'flat-square', 'plastic', 'for-the-badge', 'social']}

Examples (1)

Generate a static badge (JSON format) openapi-spec
curl 'https://img.shields.io/badge/build-passing-brightgreen.json'
import requests

resp = requests.get("https://img.shields.io/badge/build-passing-brightgreen.json")
data = resp.json()
import zingu_apis

api = zingu_apis.api("shields")
result = api.fetch("badge/{badgeContent}.json")

for item in result:
    print(item)
const resp = await fetch("https://img.shields.io/badge/build-passing-brightgreen.json");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:05:40.664621 200 146ms
2026-04-15 03:04:20.579954 200 246ms
2026-04-14 01:36:20.735783 200 136ms
2026-04-12 13:44:46.186944 200 210ms
2026-04-10 01:19:27.219702 200 176ms